Loading...
Searching...
No Matches
heap_allocator< T >

## Detailed Description

template<typename T>
class rheolef::heap_allocator< T >

Definition at line 73 of file heap_allocator.h.

## Classes

struct | rebind
struct | handler_type

## Public Types

typedef size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T * | pointer
typedef const T * | const_pointer
typedef T & | reference
typedef const T & | const_reference
typedef T | value_type

## Public Member Functions

| heap_allocator () throw ()
| heap_allocator (const heap_allocator &ha) throw ()
template<typename U>
| heap_allocator (const heap_allocator< U > &ha) throw ()
| ~heap_allocator () throw ()
heap_allocator & | operator= (const heap_allocator &ha)
pointer | address (reference r) const
const_pointer | address (const_reference c) const
size_type | max_size () const
void | construct (pointer p, const_reference c)
void | construct (pointer p)
void | destroy (pointer p)
pointer | allocate (size_type n, const void *=NULL)
void | deallocate (pointer p, size_type n)
const handler_type * | get_handler () const

## Protected Attributes

handler_type * | handler

## Member Typedef Documentation

## size_type

template<typename T>

typedef size_t size_type

Definition at line 80 of file heap_allocator.h.

## difference_type

template<typename T>

typedef std::ptrdiff_t difference_type

Definition at line 81 of file heap_allocator.h.

## pointer

template<typename T>

typedef T* pointer

Definition at line 82 of file heap_allocator.h.

## const_pointer

template<typename T>

typedef const T* const_pointer

Definition at line 83 of file heap_allocator.h.

## reference

template<typename T>

typedef T& reference

Definition at line 84 of file heap_allocator.h.

## const_reference

template<typename T>

typedef const T& const_reference

Definition at line 85 of file heap_allocator.h.

## value_type

template<typename T>

typedef T value_type

Definition at line 86 of file heap_allocator.h.

## Constructor & Destructor Documentation

## heap_allocator() [1/3]

template<typename T>

heap_allocator | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 90 of file heap_allocator.h.

## heap_allocator() [2/3]

template<typename T>

heap_allocator | ( | const heap_allocator< T > & | ha | ) |
throw | ( | ) |  |  |

Definition at line 94 of file heap_allocator.h.

## heap_allocator() [3/3]

template<typename T>
template<typename U>

heap_allocator | ( | const heap_allocator< U > & | ha | ) |
throw | ( | ) |  |  |

Definition at line 100 of file heap_allocator.h.

## ~heap_allocator()

template<typename T>

~heap_allocator | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 105 of file heap_allocator.h.

## Member Function Documentation

## operator=()

template<typename T>

heap_allocator & operator= | ( | const heap_allocator< T > & | ha | ) |

Definition at line 118 of file heap_allocator.h.

## address() [1/2]

template<typename T>

pointer address | ( | reference | r | ) | const

Definition at line 127 of file heap_allocator.h.

## address() [2/2]

template<typename T>

const_pointer address | ( | const_reference | c | ) | const

Definition at line 128 of file heap_allocator.h.

## max_size()

template<typename T>

size_type max_size | ( |  | ) | const

Definition at line 129 of file heap_allocator.h.

## construct() [1/2]

template<typename T>

void construct | ( | pointer | p,
|  | const_reference | c )

Definition at line 133 of file heap_allocator.h.

## construct() [2/2]

template<typename T>

void construct | ( | pointer | p | ) |

Definition at line 139 of file heap_allocator.h.

## destroy()

template<typename T>

void destroy | ( | pointer | p | ) |

Definition at line 141 of file heap_allocator.h.

## allocate()

template<typename T>

pointer allocate | ( | size_type | n,
|  | const void * | = NULL )

Definition at line 149 of file heap_allocator.h.

## deallocate()

template<typename T>

void deallocate | ( | pointer | p,
|  | size_type | n )

Definition at line 153 of file heap_allocator.h.

## get_handler()

template<typename T>

const handler_type * get_handler | ( |  | ) | const

Definition at line 157 of file heap_allocator.h.

## Member Data Documentation

## handler

template<typename T>

handler_type* handler

protected

Definition at line 164 of file heap_allocator.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/util/lib/heap_allocator.h